svn commit: samba r8496 - in branches/SAMBA_4_0/source/script/tests: .

tridge at samba.org tridge at samba.org
Fri Jul 15 12:54:56 GMT 2005


Author: tridge
Date: 2005-07-15 12:54:55 +0000 (Fri, 15 Jul 2005)
New Revision: 8496

WebSVN: http://websvn.samba.org/cgi-bin/viewcvs.cgi?view=rev&root=samba&rev=8496

Log:
speed up the test_echo.sh test a lot, while still providing good coverage

Modified:
   branches/SAMBA_4_0/source/script/tests/test_echo.sh


Changeset:
Modified: branches/SAMBA_4_0/source/script/tests/test_echo.sh
===================================================================
--- branches/SAMBA_4_0/source/script/tests/test_echo.sh	2005-07-15 12:25:08 UTC (rev 8495)
+++ branches/SAMBA_4_0/source/script/tests/test_echo.sh	2005-07-15 12:54:55 UTC (rev 8496)
@@ -25,7 +25,16 @@
 for transport in $transports; do
  for bindoptions in connect sign seal sign,seal validate padcheck bigendian bigendian,seal; do
   for ntlmoptions in \
-        "--option=socket:testnonblock=True --option=torture:echo_TestSleep=no" \
+        "--option=socket:testnonblock=True --option=torture:echo_TestSleep=no"; do
+   name="RPC-ECHO on $transport with $bindoptions and $ntlmoptions"
+   testit "$name" bin/smbtorture $TORTURE_OPTIONS $transport:"$server[$bindoptions]" $ntlmoptions -U"$username"%"$password" -W $domain RPC-ECHO "$*" || failed=`expr $failed + 1`
+  done
+ done
+done
+
+for transport in $transports; do
+ for bindoptions in sign seal; do
+  for ntlmoptions in \
         "--option=ntlmssp_client:ntlm2=yes --option=torture:echo_TestSleep=no" \
         "--option=ntlmssp_client:ntlm2=no  --option=torture:echo_TestSleep=no" \
         "--option=ntlmssp_client:ntlm2=yes --option=ntlmssp_client:128bit=no --option=torture:echo_TestSleep=no" \
@@ -42,8 +51,4 @@
  done
 done
 
-# separately test the print option - its v slow
-name="RPC-ECHO with print option"
-testit "$name" bin/smbtorture $TORTURE_OPTIONS ncacn_np:"$server[print]" -U"$username"%"$password" -W $domain RPC-ECHO "$*" || failed=`expr $failed + 1`
-
 testok $0 $failed



More information about the samba-cvs mailing list